<?php
/*
*
* Dynamically Design the theme using Less Compiler for PHP
* Compiler Runs only when Customizer is Loaded, not for users. So no effect on site performance.
*
*/	
require get_template_directory() ."/framework/designer/lessc.inc.php";


function sixteen_exec_less() {
	$less = new lessc;
	$inputFile = get_template_directory() ."/assets/less/custom.less";
	$outputFile = get_template_directory() ."/assets/css/custom.css";

	$less->setVariables(array(
		"accent" => get_theme_mod('sixteen_skin_var_accent','#5E5340'),	
		"background" => get_theme_mod('sixteen_skin_var_background','#e6e1c4'),
		"sbg" => get_theme_mod('sixteen_skin_var_sbg','#2A2622'),
		"content" => get_theme_mod('sixteen_skin_var_content','#444444'),
	  
	));
	
	
	if ( is_customize_preview() )  {
		$less->compileFile( $inputFile, $outputFile ); 
	} 
	else {
		$less->checkedCompile( $inputFile, $outputFile );
	}

}	
add_action('wp_head','sixteen_exec_less', 1);